%global srcname jinja2_pluralize
%global desc Simple pluralize filter for jinja2 based on inflect.py


Name:           python-%{srcname}
Version:        0.3.0
Release:        11%{?dist}
BuildArch:      noarch

License:        BSD
Summary:        Jinja2 pluralize filters
URL:            https://pypi.python.org/pypi/%{srcname}
Source0:        https://pypi.python.org/packages/source/j/%{srcname}/%{srcname}-%{version}.tar.gz


BuildRequires:  python2-devel
BuildRequires:  python2-inflect
BuildRequires:  python2-jinja2
BuildRequires:  python2-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-inflect
BuildRequires:  python3-jinja2
BuildRequires:  python3-setuptools


%description
%{desc}


%package -n python2-%{srcname}
Summary:        %{summary}

Requires:       python2-inflect

%{?python_provide:%python_provide python2-%{srcname}}


%description -n python2-%{srcname}
%{desc}


%package -n python3-%{srcname}
Summary:        %{summary}

Requires:       python3-inflect

%{?python_provide:%python_provide python3-%{srcname}}


%description -n python3-%{srcname}
%{desc}


%prep
%autosetup -n %{srcname}-%{version}


%build
%py2_build
%py3_build


%install
%py2_install
%py3_install


%check
%{__python2} setup.py test
%{__python3} setup.py test


%files -n python2-%{srcname}
%license LICENSE
%doc AUTHORS.rst CONTRIBUTING.rst HISTORY.rst README.rst
%{python2_sitelib}/jinja2_pluralize
%{python2_sitelib}/jinja2_pluralize-%{version}-*.egg-info


%files -n python3-%{srcname}
%license LICENSE
%doc AUTHORS.rst CONTRIBUTING.rst HISTORY.rst README.rst
%{python3_sitelib}/jinja2_pluralize
%{python3_sitelib}/jinja2_pluralize-%{version}-*.egg-info


%changelog
* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.3.0-11
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Jan 19 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.3.0-9
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Tue Oct 31 2017 Randy Barlow <bowlofeggs@fedoraproject.org> - 0.3.0-8
- Unretire package (#1508016).
